Bug 977579 - Broker does not honor --no-dns from rhc create-app
Broker does not honor --no-dns from rhc create-app
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 20:06 EDT by Jhon Honce
Modified: 2015-05-14 20:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 14:33:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
not using --no-dns (43.44 KB, text/x-log)
2013-06-24 20:06 EDT, Jhon Honce
no flags Details
using --no-dns (43.45 KB, text/x-log)
2013-06-24 20:07 EDT, Jhon Honce
no flags Details

  None (edit)
Description Jhon Honce 2013-06-24 20:06:27 EDT
Created attachment 764846 [details]
not using --no-dns

Description of problem:
When rhc create-app --no-dns is used the Broker should not require a DNS provider to create applications.

Version-Release number of selected component (if applicable):

How reproducible:
Happens when DNS provided is unavailable

Steps to Reproduce:
1. DNS provider not available
2. rhc create-app --no-dns ruby001 -t ruby-1.9

Actual results:
#rhc create-app --no-dns ruby001 -t ruby-1.9
Application Options
-------------------
  Namespace:  honcenet
  Cartridges: ruby-1.9
  Gear Size:  default
  Scaling:    no

Creating application 'ruby001' ... Error communicating with DNS system.  If the problem persists please contact Red Hat support.

Expected results:
Successful creation of application. 

Additional info:
Comment 1 Jhon Honce 2013-06-24 20:07:14 EDT
Created attachment 764857 [details]
using --no-dns
Comment 2 Abhishek Gupta 2013-06-25 14:33:38 EDT
The --no-dns flag is for the CLI to not wait for the DNS to be available before returning from the app create operation. It does not have any impact the broker where the DNS registration is not optional. 

This is the current behavior. If DNS creation needs to be made optional, a feature request is required.

Note You need to log in before you can comment on or make changes to this bug.